<?php

use WSCOMUN\WSComunFClient;
use WSCOMUN\CATASTRO\BienesEspecifico;
use WSCOMUN\CATASTRO\objSolicitudTransmision;

ini_set("soap.wsdl_cache_enabled", 0);

require_once '../../include/WSComunFClient.php';
$keyAutentica 		= WSComunFClient::KEYCLIENTE_AUTENTICA;
$keyAutoriza		= WSComunFClient::KEYCLIENTE_AUTORIZA;
$keyFirma			= WSComunFClient::KEYCLIENTE_FIRMA;
$keyCSV				= WSComunFClient::KEYCLIENTE_CSV;
$keyCatastroBienes	= WSComunFClient::KEYCLIENTE_CATASTRO_BIENES;
$keyCatastro 		= WSComunFClient::KEYCLIENTE_CATASTRO;


/* Array de URIs con los WSDLs descriptivos de cada servicio SAFE disponible */
$v_wsdl = array
(
		$keyAutentica 		=> 'https://preinterint.gva.es/eSirca_Bus/ins/Proxy/SAFE/AutenticacionArangi_v1_00?wsdl',
		$keyAutoriza 		=> 'https://preinterint.gva.es/eSirca_Bus/ins/Proxy/SAFE/AutorizacionHDFI_v1_00?wsdl',
		$keyFirma 			=> 'https://preinterint.gva.es/eSirca_Bus/ins/Proxy/SAFE/FirmaArangi_v1_00?wsdl',
		$keyCSV 			=> 'https://preinterint.gva.es/eSirca_Bus/ins/Proxy/CSV/GVA/CSV_GVA_v1_00?wsdl',
		$keyCatastroBienes 	=> 'https://verificacion-pre.gva.es/pai_bus_ver/CATASTRO/BienesInmueblesAsincrona_v3_00?wsdl',
		$keyCatastro 		=> 'https://verificacion-pre.gva.es/pai_bus_ver/CATASTRO/ConsultaDatos_v3_00?wsdl'
);

/* Datos del certificado utilizado para las pruebas */
$v_datosCertif = array
(
	'certFile'	=> realpath('../../cert/nopass.crt'),//SELLO-SCOR-PRE.crt
	'keyFile'	=> realpath('../../cert/nopass.key'),//SELLO-SCOR-PRE.crt.ley
	'passPhrase'=> null
);

$vTrazabilidad = array
(
	'nsCert'=>	'2bd9adddcd9f0998',
	'idApp'=>	'S4611001A_TEST_00001' // 'S4611001A_INMUEBLES'
);


$vDataEspecifico = array(
		array(
				'referenciaCatastral' => array(
						'pc1' => '8120720',
						'pc2' => 'NG1782S',
						'car' => '0001',
						'cc1' => 'X',
						'cc2' => 'Y'
				)
		),
		array(
				'referenciaCatastral' => array(
						'pc1' => '0451604',
						'pc2' => 'NG2705S',
						'car' => '0001',
						'cc1' => 'W',
						'cc2' => 'F'
				)
		)
);

try
{
	$x509v3 = 'TEST_TEST';
	$idPeticion = $x509v3 . '_0301';


	$CodProcedimiento = $NombreProcedimiento = $UnidadTramitadora = $IdExpediente = $NombreCompleto = $Nombre = $Apellido1 = $Apellido2 = '';

	$CodProcedimiento = 'S4611001A_TEST_00001'; // EXP/10162012';	// $vTrazabilidad['idApp']
	$NombreProcedimiento = 'INMUEBLES'; // 'PRUEBAS DE INTEGRACION CONSULTA BIENES INMUEBLES';
	$finalidad = 'S4611001A_TEST_00001'; // $vTrazabilidad['idApp'] .'#::#'. $CodProcedimiento .'#::#'. $NombreProcedimiento; // 'S4611001A_INMUEBLES#::#EXP/10162012#::#PRUEBAS DE INTEGRACION CONSULTA BIENES INMUEBLES';

	set_time_limit(200);
	$clienteSIRCA = WSComunFClient::makeWSClient(WSComunFClient::KEYCLIENTE_CATASTRO_BIENES, $v_wsdl, array_merge($v_datosCertif, $vTrazabilidad));
	$clienteSIRCA->setDebugMode(true);
	$clienteSIRCA->loadTracertPAI($vTrazabilidad);

	$respuestaCAT = null;
	$marcaTiempo = new DateTime();
	if (false) {
		$respuestaCAT = $clienteSIRCA->catastroBienesPeticion($idPeticion, $marcaTiempo, 'SVDCBIWS02',
				'S2826053G', 'DIRECCION GENERAL DEL CATASTRO',
				$CodProcedimiento, $NombreProcedimiento,
				'JUAN ESPANYOL ESPANYOL', '99999999R', 'S4611001A', 'GENERALITAT VALENCIANA',
				$UnidadTramitadora, $finalidad, 'Si',
				$IdExpediente, 'NIF', 'S2826053G', $NombreCompleto,
				$Nombre, $Apellido1, $Apellido2,  'SVDCBIWS02', $idPeticion, $vDataEspecifico);
	} else {
		$oSolicitudPlantilla = new objSolicitudTransmision();
		$oSolicitudPlantilla->setEmisor('S2826053G', 'DIRECCION GENERAL DEL CATASTRO');
		$oSolicitudPlantilla->setProcedimiento('S4611001A_TEST_00001', 'INMUEBLES');
		$oSolicitudPlantilla->setFuncionario('JUAN ESPANYOL ESPANYOL', '99999999R');
		$oSolicitudPlantilla->setTitular('NIF', 'S2826053G', null, null, null, null);
		$oSolicitudPlantilla->setSolicitante('S4611001A', 'GENERALITAT VALENCIANA', 'Si', 'S4611001A_TEST_00001', null, null);


		$oSolicitud1 = $oSolicitudPlantilla->duplicarCabecera();
		//$oEsp1 = BienesEspecifico::referenciaRustica('46', '81', '33', '9006');
		$oEsp1 = BienesEspecifico::referenciaRustica('11', '015', '018', '00001');
		$oSolicitud1->setEspecifico($oEsp1);

		$oSolicitud2 = $oSolicitudPlantilla->duplicarCabecera();
		$oEsp2 = BienesEspecifico::referenciaCatastral('6045513', 'QA5364N', '0001', 'O', 'F');
		$oSolicitud2->setEspecifico($oEsp2);

		$vSolicitudes = array($oSolicitud1, $oSolicitud2);

		$respuestaCAT = $clienteSIRCA->catastroBienesPeticionB($idPeticion, $marcaTiempo, 'SVDCBIWS02', $vSolicitudes);
	}


	print_r($respuestaCAT);//die;
	print("<br>\n<br>\n");

	$estado = $respuestaCAT['respuesta']->Atributos->Estado;
	print_r($estado);
	print("<br>\n<br>\n");

	// Informacion de la respuesta
	print("<br>\n<br>\nRespuesta: [{$estado->CodigoEstado}] {$estado->LiteralError}<br>\n");
	print("Tiempo de espera para la respuesta: {$estado->TiempoEstimadoRespuesta}<br>\n");

	// Enlace a la respuesta
	$tsString = $marcaTiempo->format(DateTime::ATOM);
	$numElem = 2;
	print("<a href='test_catastro_bienesSR.php?id=$idPeticion&numElem=$numElem&time=" . urlencode($tsString) . "'>Solicitar respuesta</a>");
}
catch (Exception $e)
{
//var_dump($e);die;
	print("\n<br/>Error: \n<br/>");
	print($e->getMessage());print("\n<br/>");
	print($e->getTraceAsString());print("\n<br/>");
	print('<pre>');
	$vDebugInfo = is_object($clienteSIRCA)?$clienteSIRCA->getDebugInfo():array('Error en la creacin del objeto WSComunFClient');
	print_r($vDebugInfo);
	print('</pre>');
}

?>