<?php

use WSCOMUN\WSComunFClient;

ini_set("soap.wsdl_cache_enabled", 0);

require_once '../../include/WSComunFClient.php';
$keyGDE2 		= WSComunFClient::KEYCLIENTE_GDE2;


/* Array de URIs con los WSDLs descriptivos de cada servicio SAFE disponible */
$v_wsdl = array
(
		$keyGDE2 => 'https://instrumental-pre.gva.es/pai_bus_ins/GDE/GDEService_v2_00?wsdl'	// Instrumentales
		//$keyGDE2 => 		'https://preinterint.gva.es/eSirca_Bus/ins/Proxy/GDE/GdeWSService_v2_00?wsdl'
);

/* Datos del certificado utilizado para las pruebas */
$v_datosCertif = array
(
	'certFile'	=> realpath('../../cert/SELLO-SCOR-PRE.crt'),
	'keyFile'	=> realpath('../../cert/SELLO-SCOR-PRE.key'),
	'passPhrase'=> null
);

$vTrazabilidad = array
(
	'nsCert'=>	'2039d6a41976eedf',
	'idApp'=>	'WSCOMUN' //WSCOMUN en instrumentals y RABAC en PRINTERINT
);


//print("\n<br>WSDL al que se accede: <a href='".$v_wsdl[WSComunFClient::KEYCLIENTE_GDE2]."'>Safe PRE GDE2</a><br/><br/>\n");

//Parametros de invocacin generales
$codApp = 'RABA';

//Parametros de invocacin insertarDocumentoGDE
$contenidoPDF = file_get_contents('../PDFSinFirmar.pdf');
$contenidoPDFB64 = base64_encode ($contenidoPDF);
$nombreDoc = 'pruebaGDE2_'.date('YmdHis').'.pdf';
print("\n\n<br><br><br>Prueba de GDE2: insertarDocumentoGDE2($codApp, CONTENIDOPDF, $nombreDoc)<br>\n");
try
{
	set_time_limit(40);
	$clienteSIRCA = WSComunFClient::makeWSClient(WSComunFClient::KEYCLIENTE_GDE2, $v_wsdl, array_merge($v_datosCertif, $vTrazabilidad));
	$clienteSIRCA->setDebugMode(true);
	$clienteSIRCA->loadTracertPAI($vTrazabilidad);


	$vMetaPers = array(
			array(
					'idColeccionMetadatosPersonalizados' => 'pubpor:pubpor_publicado', // 'P:otro:identificable',
					'tipoColeccion' => 'ASPECTO',
					'metadatosPersonalizados' => array(
							array(
									'idMetaDatoPers' => 'pubpor:pubpor_u_s_publicado',
									'tipoMetaDatoPers' => 'CADENA',
									'valorMetaDatoPers' => array('S')
							),
							array(
									'idMetaDatoPers' => 'pubpor:pubpor_u_s_ruta_publicar',
									'tipoMetaDatoPers' => 'CADENA',
									'valorMetaDatoPers' => array( 'rabac' )
							),
							array(
									'idMetaDatoPers' => 'pubpor:pubpor_u_s_nombre_publicar',
									'tipoMetaDatoPers' => 'CADENA',
									'valorMetaDatoPers' => array($nombreDoc)
							)
					)
			)
	);



	$respuestaGDE = $clienteSIRCA->insertarDocumentoGDE2(
			$codApp,
			$contenidoPDFB64,
			$nombreDoc,
			null, //'dirprueba',
			null,
			null,
			$vMetaPers,
			null);

	print("Respuesta:\n<br><pre>");
	print_r($respuestaGDE);
	print ("</pre><br>\n");


	$refDoc = $respuestaGDE['respuesta']['referenciaDocumento'];
}
catch (Exception $e)
{
	print("\n<br/>Error: \n<br/>");
	print($e->getMessage());print("\n<br/>");
	print($e->getTraceAsString());print("\n<br/>");
	print('<pre>');
	print('<pre>');
	$vDebugInfo = is_object($clienteSIRCA)?$clienteSIRCA->getDebugInfo():array('Error en la creacin del objeto WSComunFClient');
	print_r($vDebugInfo);
	print($e->getMessage());
	print('</pre>');
};
print("\n\n<br><br><br/>Referencia: $refDoc<br><br>\n\n");



?>