<?php

ini_set("soap.wsdl_cache_enabled", 0);

use WSCOMUN\WSComunFClient;

require_once '../../include/WSComunFClient.php';
$keyGDE2 		= WSComunFClient::KEYCLIENTE_GDE2;

/* Array de URIs con los WSDLs descriptivos de cada servicio SAFE disponible */
$v_wsdl = array
(
		$keyGDE2 => 'https://instrumental-pre.gva.es/pai_bus_ins/GDE/GDEService_v2_00?wsdl'	// Instrumentales
		//$keyGDE2 => 		'https://preinterint.gva.es/eSirca_Bus/ins/Proxy/GDE/GdeWSService_v2_00?wsdl'
);

/* Datos del certificado utilizado para las pruebas */
$v_datosCertif = array
(
	'certFile'	=> realpath('../../cert/SELLO-SCOR-PRE.crt'),
	'keyFile'	=> realpath('../../cert/SELLO-SCOR-PRE.key'),
	'passPhrase'=> null
);

$vTrazabilidad = array
(
	'nsCert'=>	'2039d6a41976eedf',
	'idApp'=>	'WSCOMUN'
);


//print("\n<br>WSDL al que se accede: <a href='".$v_wsdl[WSComunFClient::KEYCLIENTE_GDE2]."'>Safe PRE GDE2</a><br/><br/>\n");

//Parametros de invocacin generales
$codApp = 'RABA';


$contenidoDOCENI = file_get_contents('docENI_NLZ.xml');

$nombreDoc = 'prueba.eni';
$metaPers = array(
		array(
				'idColeccionMetadatosPersonalizados' => 'P:gde:mezquita_datos_contenido',
				'tipoColeccion' => 'ASPECTO',
				'metadatosPersonalizados' => array(
						array(
								'idMetaDatoPers' => 'gde:mez_u_s_sensibilidad_LOPD',
								'tipoMetaDatoPers' => 'CADENA',
								'valorMetaDatoPers' => array( 'A' )
						)
				)
		)
);



print("\n\n<br><br><br>Prueba de GDE: insertarDocumentoENIGDE2($codApp, CONTENIDODOCENI, $nombreDoc)<br>\n<br>\n");
try
{
	set_time_limit(40);
	$clienteSIRCA = WSComunFClient::makeWSClient(WSComunFClient::KEYCLIENTE_GDE2, $v_wsdl, array_merge($v_datosCertif, $vTrazabilidad));
	$clienteSIRCA->setDebugMode(true);
	$clienteSIRCA->loadTracertPAI($vTrazabilidad);


	$respuestaGDE = $clienteSIRCA->insertarDocumentoENIGDE2($codApp, $contenidoDOCENI, $nombreDoc, null, null, null, $metaPers, null);

//	var_dump($respuestaGDE);
	echo ("Referencia Documento: " . $respuestaGDE['respuesta']['referenciaDocumento'] . "<br>\n");
	echo ("Nombre documento: " . $respuestaGDE['respuesta']['nombre'] . "<br>\n");
}
catch (Exception $e)
{
	print("\n<br/>Error: \n<br/>");
	print($e->getMessage());print("\n<br/>");
	print($e->getTraceAsString());print("\n<br/>");
	print('<pre>');
	print('<pre>');
	$vDebugInfo = is_object($clienteSIRCA)?$clienteSIRCA->getDebugInfo():array('Error en la creacin del objeto WSComunFClient');
	print_r($vDebugInfo);
	print($e->getMessage());
	print('</pre>');
};

?>