<?php

use WSCOMUN\WSComunFClient;

ini_set("soap.wsdl_cache_enabled", 0);

require_once '../../include/WSComunFClient.php';
$keyGDE2 		= WSComunFClient::KEYCLIENTE_GDE2;


/* Array de URIs con los WSDLs descriptivos de cada servicio SAFE disponible */
$v_wsdl = array
(
		$keyGDE2 => 'https://instrumental-pre.gva.es/pai_bus_ins/GDE/GDEService_v2_00?wsdl'	// Instrumentales
);

/* Datos del certificado utilizado para las pruebas */
$v_opciones = array
(
		'certFile'	=> realpath('../../cert/SELLO-SCOR-PRE.crt'),
		'keyFile'	=> realpath('../../cert/SELLO-SCOR-PRE.key'),
		'passPhrase'=> null,
		'nsCert'=>	'2039d6a41976eedf',
		'idApp'=>	'WSCOMUN'
);
//Parametros de invocacin generales
$codApp = 'RABA';//'GASP';
$refDoc = 'RABA3cba87cf-4e34-4540-aae3-1a16345a449d';;
$version = '1.0';

print("Prueba de GDE: obtenerVersionDocumento(...)<br>\n<br>\n");
try
{
	set_time_limit(40);
	$clienteSIRCA = WSComunFClient::makeWSClient(WSComunFClient::KEYCLIENTE_GDE2, $v_wsdl, $v_opciones);
	$respuestaGDE2 = $clienteSIRCA->obtenerVersionDocumento($codApp, $refDoc, '1', $version);

	if (isset($respuestaGDE2['respuesta']['borrado']) && ($respuestaGDE2['respuesta']['borrado'] != 'false'))
	{
		print "El documento fue borrado";
		exit;
	}

	$contenidoB64 = $respuestaGDE2['respuesta']['contenido'];
	$nombre = $respuestaGDE2['respuesta']['nombre'];

	echo "<script>";
	echo "var base = '.$contenidoB64.';";
	echo 'function abrirFichero(){w = window.open("data:application/pdf;base64,'.$contenidoB64.'");w.document.title="Fichero PDF"}';
	echo '</script>';
	echo "<p>Datos del documento: $nombre</p>";
	echo "<pre>".print_r($respuestaGDE2,true)."</p><br>";
	echo '<a href="#" onClick="abrirFichero()">Abrir Fichero</a></p>';

}
catch (\WSCOMUN\GDE\GDE2Exception $e)
{
	print("\n<br/>Excepcion GDE2: \n<br/>");
	print("  - CODIGO: " . $e->getCodeAsString());print("\n<br/>");
	print("  - MENSAJE: " . $e->getMessage());print("\n<br/>");
	var_dump($e);
}
catch (Exception $e)
{
	print("\n<br/>Error: \n<br/>");
	print($e->getMessage());print("\n<br/>");
	print('<pre>');
	$vDebugInfo = is_object($clienteSIRCA)?$clienteSIRCA->getDebugInfo():array('Error en la creacin del objeto WSComunFClient');
	print_r($vDebugInfo);
	print('</pre>');
}

?>