<?php

use WSCOMUN\WSComunFClient;

ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
require_once '../../../include/WSComunFClient.php';
$keyGDE2 = WSComunFClient::KEYCLIENTE_GDE2;

/* Array de URIs con los WSDLs descriptivos de cada servicio SAFE disponible */
$v_wsdl = array
(
		$keyGDE2 => 'https://innovacion-pre.gva.es/pai_bus_inno/GDE/GDEService_v2_00?wsdl'	// Instrumentales
);

/* Datos del certificado utilizado para las pruebas */
$v_opciones = array
(
		//'certFile'	=> realpath('../../../cert/SELLO-SCOR-PRE.crt'),
		//'keyFile'	=> realpath('../../../cert/SELLO-SCOR-PRE.key'),
		'passPhrase' 			=> null,
		'enableWSSecurity' 		=> false, //Innovacion
		'enableTrazabilidadPAI' => true,
		'idApp' 				=> 'WSCOMUN',
);

//Parametros de invocacin generales
$codApp = 'RABA';
$refDoc = 'RABA1e524af0-fd52-4d65-be2f-0bfc62443a9f';

try
{
	set_time_limit(40);
	$clienteSIRCA = WSComunFClient::makeWSClient($keyGDE2, $v_wsdl, $v_opciones);
	$clienteSIRCA->setDebugMode(true);

	$respuestaGDE2 = $clienteSIRCA->obtenerDocumentoENIGDE2($codApp, $refDoc);

//	print_r($respuestaGDE2);die;

	if ($respuestaGDE2['borrado'] === true)
	{
		print "El documento fue borrado";
		exit;
	}


	// Genera el fichero para descarga (con extension temporal)
	$contenido = base64_decode( $respuestaGDE2['documentoENI'] );
	ob_end_clean();
	ob_start();
	//header("Content-Type: application/xml");
	header("Content-Disposition: attachment; filename='docENI_$refDoc.tmp'");
	header('Expires: 0');
	header('Pragma: cache');
	header('Cache-Control: private');
	echo $contenido;
	ob_end_flush();
}
catch (Exception $e)
{
	print("\n<br/>Error: \n<br/>");
	print($e->getMessage());print("\n<br/>");
	print('<pre>');
	$vDebugInfo = is_object($clienteSIRCA)?$clienteSIRCA->getDebugInfo():array('Error en la creacin del objeto WSComunFClient');
	print_r($vDebugInfo);
	print('</pre>');
}

?>