<?php

use WSCOMUN\WSComunFClient;
use WSCOMUN\WSComunPAIException;

ini_set("soap.wsdl_cache_enabled", 0);

require_once 'libOpts.php';

require_once '../../../include/WSComunFClient.php';
$keyLOGIN = WSComunFClient::KEYCLIENTE_GVLOGIN;


/* Array de URIs con los WSDLs descriptivos del servicio */
$v_wsdl = array
(
	$keyLOGIN => 'https://innovacion-pre.gva.es/pai_bus_inno/GVLOGIN/SSOService_v1_00?wsdl'
	//$keyLOGIN => 'https://innovacion.gva.es/pai_bus_inno/GVLOGIN/SSOService_v1_00?wsdl'
);

/* Datos del certificado utilizado para las pruebas */
$v_opciones = array
(
		'enableWSSecurity' 		=> false, //Innovacion
		'enableTrazabilidadPAI' => true,
		'idApp' 				=> 'WSCOMUN'
);


//Es necesario tener un tokenSSO valido

//Parametros de invocacin
$tokenSSO = "c687e20e-b8c2-4062-8e45-96a9f28603xx";
$ip = null;		// '172.31.19.189';
$agent = null;	// 'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36';

// Recepcion externa del token
if (isset($_REQUEST['tokenSSO']))
{
	$tokenSSO = $_REQUEST['tokenSSO'];
}


// Cabecera de links y acceso rapido
require_once 'libOpts.php';
showLinks($tokenSSO);


print("Prueba de LOGIN: verificarContexto($tokenSSO, $ip, $agent)<br>\n");
try
{
	set_time_limit(40);
	$clienteWS = WSComunFClient::makeWSClient(WSComunFClient::KEYCLIENTE_GVLOGIN, $v_wsdl, $v_opciones);
	$clienteWS->setDebugMode(true);

	$oResp = $clienteWS->verificarContexto($tokenSSO, $ip, $agent);

	// Tratamiento de la respuesta
	if ($oResp->getResultado() == true) {
		print("\n<br>Resultado de la llamada: " . ($oResp->getResultado() ? "True" : "False") . "<br>\n<br>\n");

	} else {
		print("\n<br>Resultado de la llamada: " . ($oResp->getResultado() ? "True" : "False") . "<br>\n<br>\n");

		// Informar error
		$oError = $oResp->getError();
		print("Error: {$oError}<br>\n");

		print("  - CODIGO: " . $oError->getCodigoError());print("\n<br/>");
		print("  - MENSAJE: " . $oError->getMensajeError());print("\n<br/>");

		var_dump($oResp);die;
	}
}
catch (WSComunPAIException $e)
{
	print("\n<br/>Excepcion PAI: \n<br/>");
	print("  - ERROR: " . $e);print("\n<br/>");
	print("  - CODIGO: " . $e->getCode());print("\n<br/>");
	print("  - MENSAJE: " . $e->getMessage());print("\n<br/>");

	var_dump($e);
}
catch (Exception $e)
{
	print("\n<br/>Error: \n<br/>");
	print($e->getMessage());print("\n<br/>");
	print($e->getTraceAsString());print("\n<br/>");
	print('<pre>');
	print('<pre>');
	$vDebugInfo = $clienteWS->getDebugInfo();
	print_r($vDebugInfo);
	print($e->getMessage());
	print('</pre>');
}

?>