<?php

use WSCOMUN\WSComunFClient;
use WSCOMUN\PORTAFIRMAS\document;
use WSCOMUN\PORTAFIRMAS\documentType;
use WSCOMUN\PORTAFIRMAS\importanceLevel;
use WSCOMUN\PORTAFIRMAS\job;
use WSCOMUN\PORTAFIRMAS\remitterList;
use WSCOMUN\PORTAFIRMAS\request;
use WSCOMUN\PORTAFIRMAS\signLine;
use WSCOMUN\PORTAFIRMAS\signLineList;
use WSCOMUN\PORTAFIRMAS\signer;
use WSCOMUN\PORTAFIRMAS\signerList;
use WSCOMUN\PORTAFIRMAS\user;

error_reporting(E_ERROR | E_WARNING | E_PARSE);

ini_set("soap.wsdl_cache_enabled", 0);

require_once '../../include/WSComunFClient.php';
$keyPF 		= WSComunFClient::KEYCLIENTE_PF;
$keyPFMOD	= WSComunFClient::KEYCLIENTE_PF_MOD;
$keyPFADM	= WSComunFClient::KEYCLIENTE_PF_ADM;

require_once 'libOpts.php';


/*
 * El script crea una nueva peticion, y le asocia un documento.
 *
 * Incluye llamadas a las siguiente funciones:
 * 	- createRequest
 * 	- insertDocument
 */



/* Array de URIs con los WSDLs descriptivos de cada servicio SAFE disponible */
$v_wsdl = array
(
	$keyPF			=> 'https://instrumental-pre.gva.es/pai_bus_ins/PORTAFIRMAS/QueryService_v2_00?wsdl',
	$keyPFMOD		=> 'https://instrumental-pre.gva.es/pai_bus_ins/PORTAFIRMAS/ModifyService_v2_00?wsdl',
	$keyPFADM		=> 'https://instrumental-pre.gva.es/pai_bus_ins/PORTAFIRMAS/AdminService_v2_00?wsdl'
);

/* Datos del certificado utilizado para las pruebas */
$v_datosCertif = array
(
	'certFile'	=> realpath('../../cert/SELLO-SCOR-PRE.crt'),
	'keyFile'	=> realpath('../../cert/SELLO-SCOR-PRE.key'),
	'passPhrase'=> null
);

$vTrazabilidad = array
(
	'nsCert'=>	'2039d6a41976eedf',
	'idApp'=>	'WSCOMUN'
);


$username = 'WSCOMUN';
$password = 'WSC4M5N';

try
{
	set_time_limit(40);
	$clienteSIRCA = WSComunFClient::makeWSClient(WSComunFClient::KEYCLIENTE_PF, $v_wsdl, array_merge($v_datosCertif, $vTrazabilidad));
	$clienteSIRCA->setDebugMode(true);
	$clienteSIRCA->loadTracertPAI($vTrazabilidad);


//error_reporting(E_ALL);
//ini_set('display_errors', 1);

	// pf_mod_createRequest
	$request = new request();
	$request->setSubject("Prueba");
	$request->setFentry(new DateTime());
	$request->setFstart(new DateTime());
	$request->setFexpiration((new DateTime())->modify('1 day'));
	$request->setReference('Referencia Opcional');
	$request->setText('contenido del mensaje');
	$request->setSignType('CASCADA');
	$request->setApplication('WSCOMUN');

	$impLvl = new importanceLevel();
	$impLvl->setLevelCode(2);
	$impLvl->setDescription('Alta');
	$request->setImportanceLevel($impLvl);

	$docType = new documentType();
	$docType->setIdentifier('INFORME');
	$docType->setDescription('Informe generico');
	$docType->setValid(true);

	/*
	$doc = new document();
	$doc->setIdentifier('12345678');
	$doc->setName('documento de prueba.pdf');
	$doc->setMime('application/pdf');
	$doc->setDocumentType($docType);
	$doc->setContent('content');	// BASE64
	//$doc->setType($value);
	//$doc->setUri($value);
	$doc->setSign(true);

	$docList = new documentList();
	$docList->addDocument($doc);

	$request->setDocumentList($docList);
	*/

	$signerUserJob = new user();
	$signerUserJob->setIdentifier('WSCOMUN');
	$signer = new signer();
	$signer->setUserJob($signerUserJob);

	$signerUserJob2 = new job();
	$signerUserJob2->setIdentifier('CARGO 1 PRUEBAS WSCOMUN');
	$signer2 = new signer();
	$signer2->setUserJob($signerUserJob2);

	$signerList = new signerList();
	$signerList->addSigner($signer);
	$signerList->addSigner($signer2);
	$signLine = new signLine();
	$signLine->setSignerList($signerList);
	$signLine->setType('FIRMA');
	$signLineList = new signLineList();
	$signLineList->addSignLine($signLine);
	$request->setSignLineList($signLineList);

	$userRemitter = new user();
	$userRemitter->setIdentifier('WSCOMUN');
	$remitterList = new remitterList();
	$remitterList->addUser($userRemitter);
	$request->setRemitterList($remitterList);

	//$request->setParameterList($value);
	//$request->setNoticeList($value);
	//$request->setActionList($value);
	//$request->setCommentList($value);
	$request->setRequestStatus('EN PROCESO');



	$respuesta = $clienteSIRCA->pf_mod_createRequest($username, $password, $request);
	$requestId = $respuesta['requestId'];
	print("requestId: $requestId<br>\n");



	// pf_mod_insertDocument
	$docType = new documentType();
	$docType->setIdentifier('INFORME');
	$docType->setDescription('Informe generico');
	$docType->setValid(true);

	$doc = new document();
	$doc->setIdentifier('12345678');
	$doc->setName('documento de prueba.pdf');
	$doc->setMime('application/pdf');
	//$doc->setContent('[[CONTENIDO EN BASE64]]');
	$contenidoPDF = file_get_contents('../PDFSinFirmar.pdf');
	$doc->setContent($contenidoPDF);
	$doc->setSign(true);
	$doc->setDocumentType($docType);

	$respuesta = $clienteSIRCA->pf_mod_insertDocument($username, $password, $requestId, $doc);
	$documentId = $respuesta['documentId'];
	print("documentId asociado a [requestId: $requestId]: $documentId<br>\n");
	//print_r($respuesta);



	/*

	// MODIFICACION


	// pf_mod_deleteRequest
	$respuesta = $clienteSIRCA->pf_mod_deleteRequest($username, $password, $requestId);
	var_dump($respuesta);


	// pf_mod_sendRequest
	$respuesta = $clienteSIRCA->pf_mod_sendRequest($username, $password, $requestId);
	var_dump($respuesta);


	// pf_mod_updateRequest
	$respuesta = $clienteSIRCA->pf_mod_updateRequest($username, $password, $requestId);
	var_dump($respuesta);


	// pf_mod_removeRequest
	$respuesta = $clienteSIRCA->pf_mod_removeRequest($username, $password, $requestId, $removingMessage);
	var_dump($respuesta);









	// ADMINISTRACION
	// pf_adm_insertEnhancedUsers
	$enhancedUserList = [];
	$respuesta = $clienteSIRCA->pf_adm_insertEnhancedUsers($username, $password, $enhancedUserList);
	var_dump($respuesta);


	// pf_adm_updateEnhancedUsers
	$enhancedUserList = [];
	$respuesta = $clienteSIRCA->pf_adm_updateEnhancedUsers($username, $password, $enhancedUserList);
	var_dump($respuesta);


	// pf_adm_deleteUsers
	$userIdentifierList = [];
	$respuesta = $clienteSIRCA->pf_adm_deleteUsers($username, $password, $userIdentifierList);
	var_dump($respuesta);


	// pf_adm_insertEnhancedJobs
	$enhancedJobList = [];
	$respuesta = $clienteSIRCA->pf_adm_insertEnhancedJobs($username, $password, $enhancedJobList);
	var_dump($respuesta);


	// pf_adm_updateEnhancedJobs
	$enhancedJobList = [];
	$respuesta = $clienteSIRCA->pf_adm_updateEnhancedJobs($username, $password, $enhancedJobList);
	var_dump($respuesta);


	// pf_adm_deleteJobs
	$jobIdentifierList = [];
	$respuesta = $clienteSIRCA->pf_adm_deleteJobs($username, $password, $jobIdentifierList);
	var_dump($respuesta);


	// pf_adm_assignJobToUser
	$respuesta = $clienteSIRCA->pf_adm_assignJobToUser($username, $password, $jobIdentifier, $userIdentifier, $fstart, $fend);
	var_dump($respuesta);


	// pf_adm_separateJobToUser
	$respuesta = $clienteSIRCA->pf_adm_separateJobToUser($username, $password, $jobIdentifier, $userIdentifier);
	var_dump($respuesta);
	*/

}
catch (Exception $e)
{
	print("\n<br/>Error: \n<br/>");
	print($e->getMessage());print("\n<br/>");
	print('<pre>');
	$vDebugInfo = is_object($clienteSIRCA)?$clienteSIRCA->getDebugInfo():array('Error en la creacin del objeto WSComunFClient');
	print_r($vDebugInfo);
	print('</pre>');
}


// Muestra los enlaces a otras funcionalidades
showLinks($requestId);

?>