<?php

use WSCOMUN\WSComunFClient;

error_reporting(E_ERROR | E_WARNING | E_PARSE);

ini_set("soap.wsdl_cache_enabled", 0);

require_once '../../include/WSComunFClient.php';
$keyPF 		= WSComunFClient::KEYCLIENTE_PF;
$keyPFMOD	= WSComunFClient::KEYCLIENTE_PF_MOD;
$keyPFADM	= WSComunFClient::KEYCLIENTE_PF_ADM;

require_once 'libOpts.php';


/*
 * El script muestra la informacin de la peticin indicada
 *
 * Uso: test_pf_getRequestInfo.php?requestId=xxxxxxx"
 *
 * Incluye llamadas a las funciones del servicio de consulta relativas a la gestin de peticiones y documentos:
 * 	- downloadDocument
 * 	- downloadSign
 * 	- querySign
 */


/* Array de URIs con los WSDLs descriptivos de cada servicio SAFE disponible */
$v_wsdl = array
(
	$keyPF			=> 'https://instrumental-pre.gva.es/pai_bus_ins/PORTAFIRMAS/QueryService_v2_00?wsdl',
	$keyPFMOD		=> 'https://instrumental-pre.gva.es/pai_bus_ins/PORTAFIRMAS/ModifyService_v2_00?wsdl',
	$keyPFADM		=> 'https://instrumental-pre.gva.es/pai_bus_ins/PORTAFIRMAS/AdminService_v2_00?wsdl'
);

/* Datos del certificado utilizado para las pruebas */
$v_datosCertif = array
(
	'certFile'	=> realpath('../../cert/SELLO-SCOR-PRE.crt'),
	'keyFile'	=> realpath('../../cert/SELLO-SCOR-PRE.key'),
	'passPhrase'=> null
);

$vTrazabilidad = array
(
	'nsCert'=>	'2039d6a41976eedf',
	'idApp'=>	'WSCOMUN'
);


$username = 'WSCOMUN';
$password = 'WSC4M5N';


// Informacion de uso
if (!isset($_REQUEST['requestId']))
{
	print("Debe indicar el id del request a buscar<br>\n");
	print("Uso: script.php?requestId=xxxxxxx");
	die;
}

$requestId = $_REQUEST['requestId'];

print("requestId a consultar: $requestId<br>\n");



try
{
	set_time_limit(40);
	$clienteSIRCA = WSComunFClient::makeWSClient(WSComunFClient::KEYCLIENTE_PF, $v_wsdl, array_merge($v_datosCertif, $vTrazabilidad));
	$clienteSIRCA->setDebugMode(true);
	$clienteSIRCA->loadTracertPAI($vTrazabilidad);



	/* ------ pf_queryRequest ------ */
	$respuesta_queryRequest = $clienteSIRCA->pf_queryRequest($username, $password, $requestId);
	$datosRespuesta_queryRequest = print_r($respuesta_queryRequest,true);
	$html_pf_queryRequest = <<<js
	<script>
		function abrirFicheroPDFB64(dataB64)
		{
			var w = window.open('data:application/pdf;base64,'+dataB64,'_blank');
		};
	</script>
	<p>Informacion de la solicitud: </p><pre>$datosRespuesta_queryRequest</pre><br><br>
js;

	$firstDocId = $respuesta_queryRequest['request']['documentList']['document']['identifier'];



	/* ------ pf_downloadSign ------ */
	// Obtiene el ID del primer documento
	$respuesta_downloadSign = $clienteSIRCA->pf_downloadSign($username, $password, $firstDocId);
	$contenido_downloadSignB64 = $respuesta_downloadSign['signature']['contentB64'];
	//$respuestaDocFirma['signature']['content']= 'JVBERi0xL...(contenido B64....)';
	$datosRespuesta_downloadSign = print_r($respuesta_downloadSign, true);

	$html_pf_downloadSign = <<<js
	<p>Datos del documento Firmado: </p><pre>$datosRespuesta_downloadSign</pre>
	<a href="#" onClick="javascript:abrirFicheroPDFB64('$contenido_downloadSignB64');">Abrir Fichero Firmado (B64)</a></p><br><br>
js;




	/* ------ pf_querySign ------ */
	$respuesta_querySign = $clienteSIRCA->pf_querySign($username, $password, $firstDocId);
	$datosRespuesta_querySigna = print_r($respuesta_querySign, true);
	$html_pf_querySign = <<<js
	<p>Datos de la firma: </p><pre>$datosRespuesta_querySigna</pre><br><br>
js;






	/* ------ pf_downloadDocument ------- */
	$respuesta_downloadDocument = $clienteSIRCA->pf_downloadDocument($username, $password, $firstDocId);
	//$datosRespuesta_downloadDocument = print_r($respuesta_downloadDocument, true);
	//<!-- <p>Datos de la respuesta:</p><pre>$datosRespuesta_downloadDocument</pre></p> -->
	$contenido_downloadDocument = $respuesta_downloadDocument['documentB64'];
	$html_pf_downloadDocument = <<<js
	<a href="#" onClick="javascript:abrirFicheroPDFB64('$contenido_downloadDocument');">Abrir Fichero original (B64)</a></p><br><br>
js;



	echo $html_pf_queryRequest;
	echo $html_pf_downloadSign;
	echo $html_pf_querySign;
	echo $html_pf_downloadDocument;


}
catch (Exception $e)
{
	print("\n<br/>Error: \n<br/>");
	print($e->getMessage());print("\n<br/>");
	print('<pre>');
	$vDebugInfo = is_object($clienteSIRCA)?$clienteSIRCA->getDebugInfo():array('Error en la creacin del objeto WSComunFClient');
	print_r($vDebugInfo);
	print('</pre>');
}

// Muestra los enlaces a otras funcionalidades
showLinks($requestId);

?>